CREATE FUNCTION dbo.CFUJ_Produc_Precio(@pJson VARCHAR(8000))
RETURNS DECIMAL(12,2)
AS
BEGIN

/*Variables recibidas por parámetro a traves del JSON*/
DECLARE @pId_Cliente	INT
DECLARE @pId_Producto	VARCHAR(14)
DECLARE @pFecha			DATETIME
DECLARE @pId_Contrato	INT

SET @pId_Cliente		= ISNULL(CONVERT(INT, dbo.CF_JSON_VALUE(@pJson,'Id_Cliente')), 0)
SET @pId_Producto		= ISNULL(CONVERT(VARCHAR(14), dbo.CF_JSON_VALUE(@pJson,'Id_Producto')), '')
SET @pFecha				= ISNULL(CONVERT(DATETIME, dbo.CF_JSON_VALUE(@pJson,'Fecha')), GETDATE())
SET @pId_Contrato		= ISNULL(CONVERT(INT, dbo.CF_JSON_VALUE(@pJson,'Id_Contrato')), 0)
/*FIN Variables recibidas por parámetro a traves del JSON*/

/*Variables Locales*/
DECLARE @Precio_Exento	DECIMAL(12,2)
/*FIN Variables Locales*/

SET @Precio_Exento = 0

/*IMPLEMENTAR!*/

RETURN ISNULL(@Precio_Exento, 0)
END